# Interface methods for submodule: SignedDanielssonDistanceMapImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: SignedDanielssonDistanceMapImageFilter
class SignedDanielssonDistanceMapImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetSquaredDistance(self, _arg: bool) -> None:
		""""""
		...

	def GetSquaredDistance(self) -> bool:
		""""""
		...

	def SquaredDistanceOn(self) -> None:
		""""""
		...

	def SquaredDistanceOff(self) -> None:
		""""""
		...

	def SetUseImageSpacing(self, _arg: bool) -> None:
		""""""
		...

	def GetUseImageSpacing(self) -> bool:
		""""""
		...

	def UseImageSpacingOn(self) -> None:
		""""""
		...

	def UseImageSpacingOff(self) -> None:
		""""""
		...

	def SetInsideIsPositive(self, _arg: bool) -> None:
		""""""
		...

	def GetInsideIsPositive(self) -> bool:
		""""""
		...

	def InsideIsPositiveOn(self) -> None:
		""""""
		...

	def InsideIsPositiveOff(self) -> None:
		""""""
		...

	def GetVoronoiMap(self):
		""""""
		...

	def GetDistanceMap(self):
		""""""
		...

	def GetVectorDistanceMap(self):
		""""""
		...

	def MakeOutput(self, idx: int):
		""""""
		...

